# 
# old_revision [a3be1f345b92ff1e694349d8c599e588ad2106c8]
# 
# add_file "packages/ipkg/files/lonk-link-name.patch"
#  content [f45a50853ca77638064bb1d1d9a1201c23fc499b]
# 
# patch "packages/ipkg/ipkg_0.99.163.bb"
#  from [44259469fdf46bd0af832f5c1311a633806d832a]
#    to [eb539f2d4afc5f5d3617816a1d41afb6953cd070]
# 
============================================================
--- packages/ipkg/files/lonk-link-name.patch	f45a50853ca77638064bb1d1d9a1201c23fc499b
+++ packages/ipkg/files/lonk-link-name.patch	f45a50853ca77638064bb1d1d9a1201c23fc499b
@@ -0,0 +1,38 @@
+--- ipkg-0.99.163/libbb/unarchive.c.orig	2007-10-04 12:39:42.000000000 +0200
++++ ipkg-0.99.163/libbb/unarchive.c	2007-10-04 12:41:28.000000000 +0200
+@@ -595,10 +595,6 @@
+         if (longname) {
+                 tar_entry->name = longname;
+                 longname = NULL;
+-        }
+-        else if (linkname) {
+-                tar_entry->name = linkname;
+-                linkname = NULL;
+         } else
+ #endif
+         if (tar.formated.prefix[0] == 0) {
+@@ -606,6 +602,15 @@
+         } else {                                              
+                 tar_entry->name = concat_path_file(tar.formated.prefix, tar.formated.name);
+         }
++        
++#ifdef CONFIG_FEATURE_TAR_GNU_EXTENSIONS
++	if (linkname) {
++                tar_entry->link_name = linkname;
++                linkname = NULL;
++        } else
++#endif
++	tar_entry->link_name  = strlen(tar.formated.linkname) ? 
++	    xstrdup(tar.formated.linkname) : NULL;
+ 
+ 	// tar_entry->name = xstrdup(tar.formated.name);
+ 
+@@ -618,8 +623,6 @@
+ 	tar_entry->gid   = strtol(tar.formated.gid, NULL, 8);
+ 	tar_entry->size  = strtol(tar.formated.size, NULL, 8);
+ 	tar_entry->mtime = strtol(tar.formated.mtime, NULL, 8);
+-	tar_entry->link_name  = strlen(tar.formated.linkname) ? 
+-	    xstrdup(tar.formated.linkname) : NULL;
+ 	tar_entry->device = (strtol(tar.formated.devmajor, NULL, 8) << 8) +
+ 		strtol(tar.formated.devminor, NULL, 8);
+ 
============================================================
--- packages/ipkg/ipkg_0.99.163.bb	44259469fdf46bd0af832f5c1311a633806d832a
+++ packages/ipkg/ipkg_0.99.163.bb	eb539f2d4afc5f5d3617816a1d41afb6953cd070
@@ -1,5 +1,5 @@ include ipkg.inc
 include ipkg.inc
-PR = "r4"
+PR = "r5"
 
 S = "${WORKDIR}/ipkg-${PV}"
 
@@ -8,6 +8,7 @@ SRC_URI = "http://www.handhelds.org/pub/
 	file://is-processing.patch;patch=1 \
 	file://1-pkg-parse--Optimize-inefficient-parsing.patch;patch=1 \
 	file://2-pkg-vec--Optimize-gross-inefficiency.patch;patch=1 \
+	file://lonk-link-name.patch;patch=1 \
 	"
 
 do_stage() {
